Get bulk payment batch by ID
curl --request GET \
--url https://sandbox-api.kotanipay.io/api/v3/dashboard/bulk-payments/api/batches/{batchId}import requests
url = "https://sandbox-api.kotanipay.io/api/v3/dashboard/bulk-payments/api/batches/{batchId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://sandbox-api.kotanipay.io/api/v3/dashboard/bulk-payments/api/batches/{batchId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"recipientName": "<string>",
"recipientEmail": "<string>",
"recipientPhone": "<string>",
"amount": 123,
"currency": "<string>",
"reference": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"customerKey": "<string>",
"withdrawalId": "<string>",
"errorMessage": "<string>",
"retryCount": 123,
"network": "<string>",
"telcoId": "<string>",
"fee": 123,
"transactionAmount": 123,
"completedAt": "2023-11-07T05:31:56Z"
}Bulk Payments
Get Bulk Payment Batch by ID
GET
/
api
/
v3
/
dashboard
/
bulk-payments
/
api
/
batches
/
{batchId}
Get bulk payment batch by ID
Get detailed information about a specific bulk payment batch.
Path Parameters
Response
200 - application/json
Bulk payment batch retrieved successfully
Payment ID
Recipient name
Recipient email
Recipient phone
Payment amount
Currency
Payment reference
Payment status
Created date
Customer key if created
Withdrawal ID if processed
Error message if failed
Number of retry attempts made
Mobile network provider
Telco receipt code from provider
Total fee charged (provider cost + integrator fee)
Total amount deducted from wallet (amount + fee)
Completed date